#include "__PLUGIN_NAME__SourcePluginFactory.h"
#include "__PLUGIN_NAME__SourcePlugin.h"

#include <QtPlugin>

__PLUGIN_NAME__SourcePluginFactory::__PLUGIN_NAME__SourcePluginFactory()
{
}

__PLUGIN_NAME__SourcePluginFactory::~__PLUGIN_NAME__SourcePluginFactory()
{
}

ritk::SourcePlugin*
__PLUGIN_NAME__SourcePluginFactory::CreateInstance()
{
	return new __PLUGIN_NAME__SourcePlugin();
}

QString
__PLUGIN_NAME__SourcePluginFactory::GetName()
{
	return tr("__PLUGIN_NAME__");
}

QString
__PLUGIN_NAME__SourcePluginFactory::GetDescription()
{
	return tr("__PLUGIN_DESCRIPTION__");
}


Q_EXPORT_PLUGIN2(__PLUGIN_NAME__Player, __PLUGIN_NAME__SourcePluginFactory)